/*
 * ccode.h
 * Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved.
 */

#ifndef _ccode_h_
#define _ccode_h_

/* International country and city codes */
/* "4 digits long", but no leading zeros. */
/* The rightmost digit (usually 0) was added by Brooktrout; the remainder
   is the same as the country code used for international phone calls. */
/* The entire number is in hex */
#define USA                     0x10
#define CANADA                  0x11
#define ALGERIA                 0x2130
#define AMERICAN_SAMOA          0x6840
#define ANDORRA                 0x330
#define ARGENTINA               0x540
#define AUSTRALIA               0x610
#define AUSTRIA                 0x430
#define BAHRAIN                 0x9730
#define BELGIUM                 0x320
#define BELIZE                  0x5010
#define BOLIVIA                 0x5910
#define BRAZIL                  0x550
#define CAMEROON                0x2370
#define CHILE                   0x560
#define COLOMBIA                0x570
#define COSTA_RICA              0x5060
#define CYPRUS                  0x3570
#define CZECHOSLOVAKIA          0x420
#define CZECH_REPUBLIC          0x420
#define DENMARK                 0x450
#define ECUADOR                 0x5930
#define EGYPT                   0x200
#define EL_SALVADOR             0x5030
#define ETHIOPIA                0x2510
#define EUROPEAN_COMMUNITY      0x190
#define FIJI                    0x6790
#define FINLAND                 0x3580
#define FRANCE                  0x330
#define FRENCH_ANTILLES         0x5960
#define FRENCH_ANTILLIS_GUADELOUPE 0x5900
#define FRENCH_POLYNESIA        0x6890
#define GABON                   0x2410
#define GERMAN_FED_REP          0x490
#define GERMANY                 0x490
#define GREECE                  0x300
#define GUAM                    0x6710
#define GUANTANAMO_BAY          0x530           /* US Naval Base 'Cuba' */
#define GUATEMALA               0x5020
#define GUYANA                  0x5920
#define HAITI                   0x5090
#define HONDURAS                0x5040
#define HONG_KONG               0x8520
#define HUNGARY                 0x360
#define ICELAND                 0x3540
#define INDIA                   0x910
#define INDONESIA               0x620
#define IRAN                    0x980
#define IRAQ                    0x9640
#define IRELAND                 0x3530
#define ISRAEL                  0x9720
#define ITALY_CO                0x390
#define ITALY_PBX               0x391
#define IVORY_COAST             0x2250
#define JAPAN                   0x810           /* loopstart */
#define JORDAN                  0x9620
#define KENYA                   0x2540
#define KOREA                   0x820
#define KUWAIT                  0x9650
#define LIBERIA                 0x2310
#define LIBYA                   0x2180
#define LIECHTENSTEIN           0x410
#define LUXEMBOURG              0x3520
#define LUXEMBORG               0x3520
#define MALAWI                  0x2650
#define MALAYSIA                0x600
#define MEXICO                  0x520
#define MONACO                  0x330
#define MOROCCO                 0x2120
#define NAMIBIA                 0x2640
#define NETHERLANDS             0x310
#define NETHERLANDS_ANTILLES    0x5990
#define NETHERLANDS_ANTILLES_ARUBA 0x2970
#define NEW_CALEDONIA           0x6870
#define NEW_ZEALAND             0x640
#define NICARAGUA               0x5050
#define NIGERIA                 0x2340
#define NORWAY                  0x470
#define NORWAY_X                0x471
#define OMAN                    0x9680
#define PAKISTAN                0x920
#define PANAMA                  0x5070
#define PAPUA_NEW_GUINEA        0x6750
#define PARAGUAY                0x5950
#define PERU                    0x510
#define PHILIPPINES             0x630
#define POLAND                  0x480
#define PORTUGAL                0x3510
#define QATAR                   0x9740
#define ROMANIA                 0x400
#define RUSSIA                  0x70
#define SAIPAN                  0x6700
#define SAN_MARINO              0x390
#define SAUDI_ARABIA            0x9660
#define SENEGAL                 0x2210
#define SINGAPORE               0x650
#define SOUTH_AFRICA            0x270
#define SPAIN                   0x340
#define SRI_LANKA               0x940
#define SURINAME                0x5970
#define SWEDEN                  0x460
#define SWITZERLAND             0x410
#define TAIWAN                  0x8860
#define THAILAND                0x660
#define TUNISIA                 0x2160
#define TURKEY                  0x900
#define UNITED_ARAB_EMIRATES    0x9710
#define UK_CO                   0x440
#define URUGUAY                 0x5980
#define VATICAN_CITY            0x390
#define VENEZUELA               0x580
#define YEMEN_ARAB_REPUBLIC     0x9670 
#define YUGOSLAVIA              0x380

#endif
