/* t35.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

#define T35_Japan                                       0x00
#define T35_Algeria                                     0x02
#define T35_American_Samoa                              0x03
#define T35_Argentina                                   0x07
#define T35_Australia                                   0x09
#define T35_Bahrain                                     0x0c
#define T35_Belize                                      0x10
#define T35_Bolivia                                     0x14
#define T35_Brazil                                      0x16
#define T35_Cameroon                                    0x1f
#define T35_Canada                                      0x20
#define T35_Chile                                       0x25
#define T35_Colombia                                    0x27
#define T35_Costa_Rica                                  0x2b
#define T35_Ecuador                                     0x35
#define T35_Egypt                                       0x36
#define T35_El_Salvador                                 0x37
#define T35_Ethiopia                                    0x39
#define T35_Fiji                                        0x3b
#define T35_French_Polynesia                            0x3e
#define T35_Gabon                                       0x40
#define T35_Guam                                        0x48
#define T35_Guatemala                                   0x49
#define T35_Guayana                                     0x4d
#define T35_Haiti                                       0x4e
#define T35_Honduras                                    0x4f
#define T35_Hongkong                                    0x50
#define T35_Iceland                                     0x52
#define T35_India                                       0x53
#define T35_Indonesia                                   0x54
#define T35_Iran                                        0x55
#define T35_Iraq                                        0x56
#define T35_Israel                                      0x58
#define T35_Cote_d_Ivoire                               0x5a
#define T35_Jordan                                      0x5e
#define T35_Kenya                                       0x5f
#define T35_Korea                                       0x61
#define T35_Kuwait                                      0x62
#define T35_Liberia                                     0x66
#define T35_Libya                                       0x67
#define T35_Liechtenstein                               0x68
#define T35_Malaysia                                    0x6c
#define T35_Malawi                                      0x6d
#define T35_Mexico                                      0x73
#define T35_Monaco                                      0x74
#define T35_Morocco                                     0x77
#define T35_Netherlands_Antilles                        0x7c
#define T35_New_Caledonia                               0x7d
#define T35_New_Zealand                                 0x7e
#define T35_Nicaragua                                   0x7f
#define T35_Nigeria                                     0x81
#define T35_Norway                                      0x82
#define T35_Oman                                        0x83
#define T35_Pakistan                                    0x84
#define T35_Panama                                      0x85
#define T35_Papua_New_Guinea                            0x86
#define T35_Paraguay                                    0x87
#define T35_Peru                                        0x88
#define T35_Philippines                                 0x89
#define T35_Qatar                                       0x8d
#define T35_Romania                                     0x8e
#define T35_San_Marino                                  0x94
#define T35_Saudi_Arabia                                0x98
#define T35_Senegal                                     0x99
#define T35_Singapore                                   0x9c
#define T35_South_Africa                                0x9f
#define T35_Sri_Lanka                                   0xa1
#define T35_Suriname                                    0xa3
#define T35_Switzerland                                 0xa6
#define T35_Thailand                                    0xa9
#define T35_Tunisia                                     0xad
#define T35_Turkey                                      0xae
#define T35_United_Arab_Emirates                        0xb3
#define T35_Uruguay                                     0xb7
#define T35_United_States                               0xb5
#define T35_USSR                                        0xb8
#define T35_Vatican_City_State                          0xba
#define T35_Venezuela                                   0xbb
#define T35_Yemen_Arab                                  0xbf

#if 0
/* Not yet used, and QNX 2 can't handle all these macros */
#define T35_Albania                                     0x01
#define T35_Anguilla                                    0x05
#define T35_Antigua_and_Barbuda                         0x06
#define T35_Ascension                                   0x08
#define T35_Bahamas                                     0x0b
#define T35_Bangladesh                                  0x0d
#define T35_Barbados                                    0x0e
#define T35_Benin                                       0x11
#define T35_Bermudas                                    0x12
#define T35_Bhutan                                      0x13
#define T35_Botswana                                    0x15
#define T35_British_Antarctic_Territory                 0x17
#define T35_British_Indian_Ocean_Territory              0x18
#define T35_British_Virgin_Islands                      0x19
#define T35_Brunei_Darussalam                           0x1a
#define T35_Bulgaria                                    0x1b
#define T35_Myanmar                                     0x1c
#define T35_Burundi                                     0x1d
#define T35_Byelorussia                                 0x1e
#define T35_Cape_Verde                                  0x21
#define T35_Cayman_Islands                              0x22
#define T35_Central_African_Republic                    0x23
#define T35_Chad                                        0x24
#define T35_China                                       0x26
#define T35_Comoros                                     0x28
#define T35_Congo                                       0x29
#define T35_Cook_Islands                                0x2a
#define T35_Cuba                                        0x2c
#define T35_Cambodia                                    0x2f
#define T35_Democratic_Peoples_Republic_of_Korea        0x30
#define T35_Djibouti                                    0x32
#define T35_Dominican_Republic                          0x33
#define T35_Dominica                                    0x34
#define T35_Equatorial_Guinea                           0x38
#define T35_Falkland_Islands                            0x3a
#define T35_French_Southern_and_Antarctic_Lands         0x3f
#define T35_Gambia                                      0x41
#define T35_Germany_Democratic                          0x42
#define T35_Angola                                      0x43
#define T35_Ghana                                       0x44
#define T35_Gibraltar                                   0x45
#define T35_Grenada                                     0x47
#define T35_Guernsey                                    0x4a
#define T35_Guinea                                      0x4b
#define T35_Guinea_Bissau                               0x4c
#define T35_Jamaica                                     0x5b
#define T35_Afghanistan                                 0x5c
#define T35_Jersey                                      0x5d
#define T35_Kiribati                                    0x60
#define T35_Lao                                         0x63
#define T35_Lebanon                                     0x64
#define T35_Lesotho                                     0x65
#define T35_Macao                                       0x6a
#define T35_Madagascar                                  0x6b
#define T35_Maldives                                    0x6e
#define T35_Mali                                        0x6f
#define T35_Malta                                       0x70
#define T35_Mauritania                                  0x71
#define T35_Mauritius                                   0x72
#define T35_Mongolia                                    0x75
#define T35_Montserrat                                  0x76
#define T35_Mozambique                                  0x78
#define T35_Nauru                                       0x79
#define T35_Nepal                                       0x7a
#define T35_Niger                                       0x80
#define T35_Puerto_Rico                                 0x8c
#define T35_Rwanda                                      0x8f
#define T35_Saint_Kitts_and_Nevis                       0x90
#define T35_Saint_Croix                                 0x91
#define T35_Saint_Helena_and_Ascension                  0x92
#define T35_Saint_Lucia                                 0x93
#define T35_Saint_Thomas                                0x95
#define T35_Sao_Tom_and_Principe                        0x96
#define T35_Saint_Vicent_and_the_Grenadines             0x97
#define T35_Seychelles                                  0x9a
#define T35_Sierra_Leone                                0x9b
#define T35_Solomon_Islands                             0x9d
#define T35_Somalia                                     0x9e
#define T35_Sudan                                       0xa2
#define T35_Swaziland                                   0xa4
#define T35_Syria                                       0xa7
#define T35_Tanzania                                    0xa8
#define T35_Togo                                        0xaa
#define T35_Tonga                                       0xab
#define T35_Trinidad_and_Tobago                         0xac
#define T35_Turks_and_Caicos_Islands                    0xaf
#define T35_Tuvalu                                      0xb0
#define T35_Uganda                                      0xb1
#define T35_Ukraine                                     0xb2
#define T35_Burkina_Faso                                0xb6
#define T35_Vanuatu                                     0xb9
#define T35_Viet_Nam                                    0xbc
#define T35_Wallis_and_Futuna                           0xbd
#define T35_Western_Samoa                               0xbe
#define T35_Yemen_People                                0xc0
#define T35_Zaire                                       0xc2
#define T35_Zambia                                      0xc3
#define T35_Zimbabwe                                    0xc4
#endif
