/* parsepkt.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

unsigned _mill_parseextbyte(unsigned char **pkt);
unsigned _mill_parseextshort(unsigned char **pkt);
unsigned _mill_parsenbytes(unsigned char **pkt,unsigned n);
#ifdef PKTV0_OR_V1
int _mill_getcmdfrompkt(unsigned char *pkt_buf,unsigned len,unsigned *flags,
                        MILL_ADDR *dest_addr,MILL_ADDR *src_addr,
                        unsigned *facility,
                        unsigned char **cmd_ptr,unsigned *cmd_len,int sent);
#else
int _mill_getcmdfrompkt(unsigned char *pkt_buf,unsigned len,unsigned *flags,
                        MILL_ADDR *dest_addr,MILL_ADDR *src_addr,
                        unsigned *facility,
                        unsigned char **cmd_ptr,unsigned *cmd_len);
#endif
int _mill_parsepktheader(unsigned char **pkt_buf,unsigned len,
                         unsigned *stored_len,unsigned *flags,
                         MILL_ADDR *dest_addr,MILL_ADDR *src_addr);
int _mill_parsecmd(unsigned char *cmd_buf, unsigned cmd_len,
                   unsigned *cmd_verb, unsigned *bit_len,
                   unsigned *cmd_specifier,
                   unsigned char **tag_ptr,
                   unsigned *total_tag_len);
int _mill_gettaggedvalues(unsigned char **tag_ptr, unsigned *total_tag_len,
                          unsigned *tag_len, unsigned *tag_id,
                          unsigned *tag_type, unsigned *tag_data_len,
                          unsigned char **tag_data_ptr, unsigned cmd_verb);
int _mill_parsetaggedvalueint(unsigned char **tag_data_ptr,
                              unsigned *tag_data_len,
                              unsigned tag_type,
                              unsigned *int_size,
                              int *result);

#ifdef PKTV0_OR_V1
extern unsigned _mill_pkt_version;
#endif
