/* millver.h */
/* Copyright (c) 1989-2005 Brooktrout Technology Inc.  All rights reserved. */

#ifndef _mill_ver_h
#define _mill_ver_h

#include "../../bfv.api/inc/sdk_version.h"

/* Overall driver version number. This is separate from the PIPR version
   number. */
#define MILL_VER_NUM            5100
#define MILL_DRIVER_VERSION     "5.1.0"
#define MILL_V1                 5
#define MILL_V2                 1
#define MILL_V3                 0
#define MILL_V4                 SDK_BUILD_NUMBER

/*  Create version string in the format "1.2.3 Build 4"
    (major.middle.minorBbuild) */
#define MILL_DRIVER_VERSION_STR2(a,b,c,d)   #a "." #b "." #c " Build " #d
#define MILL_DRIVER_VERSION_STR1(a,b,c,d)   MILL_DRIVER_VERSION_STR2(a,b,c,d)
#define MILL_DRIVER_VERSION_STR             MILL_DRIVER_VERSION_STR1(MILL_V1, MILL_V2, MILL_V3, MILL_V4)

/* Build number. */
#define MILL_BUILD_NUM          SDK_BUILD_NUMBER

#define MILL_COPYRIGHT_STR      "Copyright  1989-2005 Brooktrout Technology"

#endif
