#  ======== Makefile for OSI-API for Solaris  ========
#

BIT64 = -xarch=v9 -xregs=no%appl -xO3

all:    mt

mt:	
	$(MAKE) $(MFLAGS) INTSZ=64 'BIT64=$(BIT64)' A_TYPE=-misalign -f osi_mt.mak

clean:
	rm -f obj64.mt/*

lint:	
	$(MAKE) $(MFLAGS) INTSZ=64 'BIT64=-Xarch=v9 -errchk=longptr64' -f osi_mt.mak lint

install:
	$(MAKE) $(MFLAGS) INTSZ=64 ISUBDIR=/sparcv9 -f osi_mt.mak install
