
/* SCCS_ID = "@(#)fax.h    9.01.2.0.0 07/26/99 14:35:16" */

/*
 * @(#)fax.h	9.2    07/26/99
 */

#ifndef _INCLUDE_FAX_H
#define _INCLUDE_FAX_H

#ifdef __cplusplus
	extern "C" {
#endif

#define trace(s) { if (Trace_on) (void)printf s; }

#define GS 29

/* low density definitions */
#define LABEL_LINES	24
#define US_LETTER_FAX_LINES_PER_PAGE	((279 * 77) / 20 - LABEL_LINES)
#define A4_FAX_LINES_PER_PAGE	((297 * 77) / 20 - LABEL_LINES)
#define B4_FAX_LINES_PER_PAGE	((364 * 77) / 20 - LABEL_LINES)
#define FAX_DOTS_PER_LINE	1728
#define HORIZONTAL_DPI		204

#if !defined(MAGIC_NUMBER)
#define		MAGIC_NUMBER		0xbadbad16
#endif

#define		HELP		0
#define		LIST		1
#define		REMOTE		2
#define		SEND		3
#define		PRINT		4
#define		DATA		5
#define		PREVIEW		6
#define		RESET		7
#define		QUIT		8
#define		NO_MODE		-9

#define		NUM_PICK_PROCS	QUIT + 1

typedef struct
{
	char filename[100];
	char subject[100];
	char date[100];
	char faxid[100];
	char keywords[100];
	char rname[100];
	char sname[100];
	char rorg[100];
	char sorg[100];
	char rfax[100];
	char sfax[100];
	char rdept[100];
	char sdept[100];
	char remail[100];
	char semail[100];
}
fax_attr_list;

#define		MAX_ENTRIES	1024
#define         KEYSIZE		80

typedef struct
{
	char ordered_name[KEYSIZE];
	char name[KEYSIZE];
	char letterintro[KEYSIZE];
	char org[KEYSIZE];
	char dept[KEYSIZE];
	char mailstop[KEYSIZE];
	char faxnum[KEYSIZE];
	char faxnum2[KEYSIZE];
	char voicenum[KEYSIZE];
	char email[KEYSIZE];
	char mail_address[120];
	char mail_address2[120];
	char selected;
	unsigned int handle;
	unsigned int ident;
}
phone_entry;

#ifdef __cplusplus
	}
#endif

#endif
