/* lineacc.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

/* Line Structure access functions. Documented only as macros */

M_APIE1 enum line_state * M_APIE2 MillLineStateAccess(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillLineUnitGet(MILL_LINE *lp);
M_APIE1 MILL_ADDR M_APIE2 MillLineDestAddrGet(MILL_LINE *lp);
M_APIE1 MILL_ADDR M_APIE2 MillLineAppAddrGet(MILL_LINE *lp);
M_APIE1 MILL_ADDR * M_APIE2 MillLineSrcAddrAccess(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillLineCapCheck(MILL_LINE *lp,unsigned cap);
M_APIE1 AOC_INFO * M_APIE2 MillLineAocInfoGet(MILL_LINE *lp);
M_APIE1 FAX_RES ** M_APIE2 MillLineFaxResAccess(MILL_LINE *lp);
M_APIE1 struct dcs_info * M_APIE2 MillLineDcsGet(MILL_LINE *lp);
M_APIE1 struct dis_dtc_info * M_APIE2 MillLineDisDtcGet(MILL_LINE *lp);
M_APIE1 unsigned * M_APIE2 MillLinePageCtAccess(MILL_LINE *lp);
M_APIE1 M_CB1 int (* M_CB2 * M_APIE2 MillLinePriReqFuncAccess(MILL_LINE *lp))
     (MILL_LINE *lp,char *arg);
M_APIE1 char ** M_APIE2 MillLinePriReqArgAccess(MILL_LINE *lp);
M_APIE1 M_CB1 void (* M_CB2 * M_APIE2
                    MillLinePageComplFuncAccess(MILL_LINE *lp))
     (MILL_LINE *lp,int stage,char *arg);
M_APIE1 char ** M_APIE2 MillLinePageComplArgAccess(MILL_LINE *lp);
M_APIE1 struct user_config_params * M_APIE2 MillLineConfigStructAccess
     (MILL_LINE *lp);
M_APIE1 struct country_phone_info * M_APIE2 MillLinePhoneStructAccess
     (MILL_LINE *lp);
M_APIE1 unsigned char * M_APIE2 MillLineAlertCtlAccess(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillSizeGet(void);
M_APIE1 M_CB1 void (* M_CB2 * M_APIE2
                    MillLineIncomingCmdFuncAccess(MILL_LINE *lp))
     (MILL_LINE *lp,struct args_packet *args);
M_APIE1 unsigned M_APIE2 MillLineErrorIntrGet(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillLineErrorIntrDataSizeGet(MILL_LINE *lp);
M_APIE1 unsigned char *M_APIE2 MillLineErrorIntrDataGet(MILL_LINE *lp);
M_APIE1 char *M_APIE2 MillLineErrorIntrMsgGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillLineIntrOverrunGet(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillLineFontDownloaded(MILL_LINE *lp,
                                                unsigned font_no,
                                                struct args_fax *args);

M_APIE1 int M_APIE2 MillFirmBootRomMajorGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmBootRomMiddleGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmBootRomMinorGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmBootRomBuildGet(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillFirmBootRomAutoNumGet(MILL_LINE *lp);
M_APIE1 char * M_APIE2 MillFirmBootRomDateGet(MILL_LINE *lp);
M_APIE1 char * M_APIE2 MillFirmBootRomCommentGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmCtrlProcMajorGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmCtrlProcMiddleGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmCtrlProcMinorGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmCtrlProcBuildGet(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillFirmCtrlProcAutoNumGet(MILL_LINE *lp);
M_APIE1 char * M_APIE2 MillFirmCtrlProcDateGet(MILL_LINE *lp);
M_APIE1 char * M_APIE2 MillFirmCtrlProcCommentGet(MILL_LINE *lp);
M_APIE1 int M_APIE2 MillFirmDspMajorGet(MILL_LINE *lp, int n);
M_APIE1 int M_APIE2 MillFirmDspMiddleGet(MILL_LINE *lp, int n);
M_APIE1 int M_APIE2 MillFirmDspMinorGet(MILL_LINE *lp, int n);
M_APIE1 int M_APIE2 MillFirmDspBuildGet(MILL_LINE *lp, int n);
M_APIE1 unsigned M_APIE2 MillFirmDspAutoNumGet(MILL_LINE *lp, int n);
M_APIE1 char * M_APIE2 MillFirmDspDateGet(MILL_LINE *lp, int n);
M_APIE1 char * M_APIE2 MillFirmDspCommentGet(MILL_LINE *lp, int n);
M_APIE1 int M_APIE2 MillFirmNumDspsGet(MILL_LINE *lp);

M_APIE1 void ** M_APIE2 MillLinePrivateUserDataAccess(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillLineDriverVersionGet(MILL_LINE *lp);

M_APIE1 int M_APIE2 MillLineVadStateGet(MILL_LINE *lp);
M_APIE1 unsigned M_APIE2 MillLineVadBPGet(MILL_LINE *lp);

M_APIE1 unsigned M_APIE2 MillLineFaxT30RcvMcfFskGet(MILL_LINE *lp);
