/* ppcmds.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

struct facility_info {
    char *facility_name;
    char **tag_list;
    unsigned num_tags;
    char **mode_list;
    unsigned num_modes;
    char **event_list;
    unsigned num_events;
    char **request_list;
    unsigned num_requests;
};

extern char *verb_list[];
extern unsigned num_verbs;
extern struct facility_info facility_list[];
extern unsigned num_facilities;
extern struct facility_info com_fac;

char *_mill_print_cmd_info(char *str,unsigned facility,unsigned char *cmd_buf,
                           unsigned len,unsigned limit_len,int show_values,
                           int show_data, int show_len, int *err);

char *_mill_print_cmd_info_parsed(char *str,unsigned char *hard_limit,
                                  unsigned facility,unsigned verb,
                                  unsigned bit_len,unsigned specifier,
                                  unsigned char *tag_ptr,unsigned tag_len,
                                  int show_values,int show_data,int show_len,
                                  int *err);


#define FAC_LIST_SIZE 0x7f
void _mill_pp_init_tables(char *dir_name, int is_static);
