
/****************************************************************************
 *
 * Module:               ISDN.h
 * Date:                 Sep. 30, 2002
 * Purpose:              All definitions global to ISDN facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef ISDN_H
#define ISDN_H

/* Facility                   */
#define  MILL_FACILITY_ISDN                     0x0E

/* Event                      */
#define  ISDN_CONTROL_TXRX_STARTED_EVENT        0x02
#define  ISDN_CONTROL_TXRX_FINISHED_EVENT       0x03
#define  ISDN_RESET_EVENT                       0x04

/* Request                    */
#define  ISDN_RESET_REQUEST                     0x02

/* Start/Finish               */
#define  ISDN_CONTROL_TXRX_MODE                 0x02

/* Variable/Parameter         */
#define  ISDN_VERSION_PAR                       0x02
#define  ISDN_ENDIAN_PAR                        0x03
#define  ISDN_INTERFACE_VERSION_PAR             0x04

#endif
