
/****************************************************************************
 *
 * Module:               VTTY.h
 * Date:                 Sep. 19, 2002
 * Purpose:              All definitions global to the Tele Ctrl facility
 ****************************************************************************
 * (c) 1992-2001 Brooktrout Technology, Inc.                                  *
 *                                                                          *
 *                                                                          *
 *   All Rights Reserved.                                                   *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 *                                                                          *
 * This software is furnished under a license and may only be               *
 * read, modified, copied, or otherwise used in accordance with the         *
 * terms of such license. This notice must never be removed from            *
 * this software and must be included with every copy. No other             *
 * rights to reproduce, use, or disseminate this software in any form,      *
 * in whole or in part, are granted.                                        *
 *                                                                          *
 * Brooktrout Technology, Inc. makes no representation or warranties        *
 * with respect to the performance of this software and specifically        *
 * disclaims any responsibility for any damages, special or                 *
 * consequential, connected with the use of this software.                  *
 *                                                                          *
 ****************************************************************************/
 
#ifndef VTTY_H
#define VTTY_H

/* Facility                   */
#define  MILL_FACILITY_VTTY                                 0x0D

/* Event                      */
#define  VTTY_STARTED_EVENT                                 0x02
#define  VTTY_FINISHED_EVENT                                0x03
#define  VTTY_BUSY_EVENT                                    0x04

/* Start/Finish               */
#define  VTTY_INTERACTIVE_MODE                              0x02
//added by %%ght 11/19/04: to define different START mode for vtty merged to CLI
//need to be used by the cmd.specifier
#define  VTTY_INTERNAL_MFG_MODE								0x03
#define  VTTY_INTERNAL_TECH_MODE                            0x04
#define  VTTY_INTERNAL_DEV_MODE                             0x05

#endif
