/* fsk.h */
/* Copyright (c) 1989-2004 Brooktrout Technology Inc.  All rights reserved. */

/* FSK values */
#define FSK_NULL        0x0
#define FSK_FCD         0x06
#define FSK_CTC_1       0x12
#define FSK_CTC_2       0x13
#define FSK_CRP_1       0x1a
#define FSK_CRP_2       0x1b
#define FSK_ERR_1       0x1c
#define FSK_ERR_2       0x1d
#define FSK_NSF         0x20
#define FSK_NSC         0x21
#define FSK_NSS_1       0x22
#define FSK_NSS_2       0x23
#define FSK_PIN_1       0x2c
#define FSK_PIN_2       0x2d
#define FSK_EOP_1       0x2e
#define FSK_EOP_2       0x2f
#define FSK_PRI_EOP_1   0x3e
#define FSK_PRI_EOP_2   0x3f
#define FSK_CSI         0x40
#define FSK_CIG         0x41
#define FSK_TSI_1       0x42
#define FSK_TSI_2       0x43
#define FSK_FTT_1       0x44
#define FSK_FTT_2       0x45
#define FSK_RTN_1       0x4c
#define FSK_RTN_2       0x4d
#define FSK_MPS_1       0x4e
#define FSK_MPS_2       0x4f
#define FSK_PRI_MPS_1   0x5e
#define FSK_PRI_MPS_2   0x5f
#define FSK_RR_1        0x6e
#define FSK_RR_2        0x6f
#define FSK_DIS         0x80
#define FSK_DTC         0x81
#define FSK_DCS_1       0x82
#define FSK_DCS_2       0x83
#define FSK_CFR_1       0x84
#define FSK_CFR_2       0x85
#define FSK_RCP         0x86
#define FSK_MCF_1       0x8c
#define FSK_MCF_2       0x8d
#define FSK_EOM_1       0x8e
#define FSK_EOM_2       0x8f
#define FSK_PRI_EOM_1   0x9e
#define FSK_PRI_EOM_2   0x9f
#define FSK_SEP         0xa1
#define FSK_PWD_XMIT_1  0xa2
#define FSK_PWD_XMIT_2  0xa3
#define FSK_PIP_1       0xac
#define FSK_PIP_2       0xad
#define FSK_PPR_1       0xbc
#define FSK_PPR_2       0xbd
#define FSK_PPS_1       0xbe
#define FSK_PPS_2       0xbf
#define FSK_PWD_POLL    0xc1
#define FSK_SUB_1       0xc2
#define FSK_SUB_2       0xc3
#define FSK_CTR_1       0xc4
#define FSK_CTR_2       0xc5
#define FSK_RTP_1       0xcc
#define FSK_RTP_2       0xcd
#define FSK_EOR_1       0xce
#define FSK_EOR_2       0xcf
#define FSK_RNR_1       0xec
#define FSK_RNR_2       0xed
#define FSK_DCN_1       0xfa
#define FSK_DCN_2       0xfb
/* Others */
#define FSK_DIR_SENT    1
#define FSK_DIR_RCV     0
#define FSK_DATA        0x01
#define FSK_TERM_MSG    0x13
#define FSK_NONTERM_MSG 0x03
