/* SCCS_ID = "@(#)faxwork.h	9.01.2.0.0	07/26/99	14:35:23" */

/* Copyright 1993, The Bristol Group Ltd, All Rights Reserved */

/* faxwork.h */

#if !defined(_FAXWORK_H_)
#define _FAXWORK_H_

#if defined(__cplusplus)
	extern "C" {
#endif

#if !defined(INCLUDE_GROUP3_H)
#	include "group3.h"
#endif

#if !defined(_INCLUDE_QUEUE_STATUS_H)
#	include "queue_status.h"
#endif

typedef long job_handle_t;

/* contents of work files */
struct job {
	char faxfile[FAXFILE_LEN];	/* null if entry is inactive */
	char phone_number[PHONE_LEN]; /* processed by faxit */
	int  previous_attempts;
	int  total_attempts;
	int  time_submitted;
	int  time_to_send;
	int  resolution;
	char senders_email_address[EMAIL_LEN];
	char subject[SUBJECT_LEN];
	char recipient_name[PERSON_LEN];
	char fail_excuse[EXCUSE_LEN];
  /* Make sure fields between this line and... (see below) */
	char cfile_rev[CFILE_REV_LEN];
	char dlist[DLIST_LEN];
	int  error_code;
	int  time_first_attempt;
	int  time_last_attempt;
	int  total_pages;
	int  fax_size;
	DF_t compression;
	job_handle_t jobhandle;
	int  launch_status;
	char raw_phone_number[PHONE_LEN]; /*what the client submitted */
	int  when_to_notify;
	char uname[PERSON_LEN];
	char unused_bytes[744];
  /* ... this line always add up to 1000 bytes */
	int  last_page_successfully_transmitted;
	int  priority;       	/* Lower numbers are higher prior.s */
	unsigned int uid;
	char hostname[HOSTNAME_LEN];
	char billing_code[BILLING_LEN];
	char tracking_id[TRACKING_LEN];
};

#if defined(__cplusplus)
	}
#endif

#endif	/* _FAXWORK_H_ */
